Name:     snort-rules
Version:  2.4.5
Release:  alt1

Summary:  Rules for Snort, popular network intrusion detection system
License:  GPL
Group:    Security/Networking
Url:      http://www.snort.org
Source0:  %url/pub-bin/downloads.cgi/Download/vrt_pr/snortrules-pr-2.4.tar.gz
Source1:  %url/pub-bin/downloads.cgi/Download/comm_rules/Community-Rules-2.4.tar.gz
Source2:  snort-mergesidmaps

BuildArch: noarch
Requires: snort-base

Summary(ru_RU.KOI8-R):        Snort

%define   myconfdir   %_sysconfdir/snort
%define   myrulesdir  %myconfdir/rules

%description
Rules for Snort, popular network intrusion detection system.
Standard pack distributed under GNU GPL license.

%description -l ru_RU.KOI8-R
  ,   
   Snort.     .. ,
..  ,      
 ,  Snort',     
 -  ,    ..

%package -n snort-base
Summary: Create base directory structure for Snort NIDS configuration
Summary(ru_RU.KOI8-R):  ,    IDS Snort
Group: Security/Networking
Conflicts: snort < 2.4
%description -n snort-base
Create base directory structure for Snort NIDS configuration files.
%description -n snort-base -l ru_RU.KOI8-R
 ,  ,    ,
      (IDS) Snort.

%package doc
Summary: Detailed descriptions for standard rules used by Snort NIDS.
Summary(ru_RU.KOI8-R):        Snort
Group: Security/Networking
%description doc
Tons of detailed textual listings describing all network intrusions known by Snort.
%description doc -l ru_RU.KOI8-R
     ,    
   Snort -    .

%prep
%setup -q -c
cd rules
%__mv sid sid.1st
cd ..
%setup -q -D -T -a 1
cd rules
#__mv sid sid.2nd
cd ..

%build  #..nothing to do

%install
mkdir -p %buildroot{%myrulesdir,%_bindir}
%__install -pm 644 rules/*.rules rules/cgi-bin.list %buildroot%myrulesdir
%__install -p %SOURCE2 %buildroot%_bindir

echo "Generate maps..."
d=$PWD
cd %buildroot%myrulesdir
%SOURCE2 $d/rules/*sid-msg.map
cd -
echo "...done!"

%files -n snort-base
%dir %myconfdir

%files
%_bindir/snort-*
%myrulesdir
%doc rules/VRT-License.txt

%files doc
%doc doc/signatures/* docs/*

%changelog
* Fri Jun 16 2006 Ilya Evseev <evseev@altlinux.ru> 2.4.5-alt1
- updated to latest state (community rules are grown from 11k to 55k)

* Thu Nov 10 2005 Ilya Evseev <evseev@altlinux.ru> 2.4.3-alt1
- update standard rules, added community rules
- added snort-mergesidmaps helper

* Fri Aug 12 2005 Ilya Evseev <evseev@altlinux.ru> 2.4-alt1
- initial tarball from upstream (previously rules were distributed
  in single tarball with Snort binaries) and initial package for ALTLinux
- snort-base package owns /etc/snort directory used by multiple packages

## EOF ##
